/*
Theme Name:   LiftketKettenzugkonfigurator
Description:  Schreibe hier eine kurze Beschreibung über dein Child-Theme
Author:       Dennis Reinitz
Author URL:   https://configurator.liftket.de
Template:     wp-bootstrap-starter
Version:      1.0
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  liftket-theme
*/

:root {
  --primary: #e4920f;
  --liftket-green: #688816;
  --lifket-green-darker: #4a6110;
  --liftket-yellow-lighter: #e69e2c;
  --liftket-yellow: #e4920f;
  --liftket-yellow-darker: #ad7417;
  --liftket-yellow-50: #e4920f80;
  --liftket-yellow-darker-50: #ad741780;
  --liftket-light-grey: #8d9290;
  --liftket-dark-grey: #39373a;
}

html {
  overflow-x: hidden;
}

/* WP Members Style Overrides */
#wpmem_login {
  display: flex;
  justify-content: center;
  height: 70vh;
  align-items: center;
  min-width: 280px;
  width: 100%;
}

#wpmem_login .div_text,
#wpmem_login .button_div {
  margin-bottom: 1rem;
}

@media screen and (min-width: 375px) {
  #wpmem_profile_form fieldset {
    /*display: grid;
        grid-template-columns: 1fr 1fr;
        grid-row-gap: 20px;
        grid-column-gap: 15px;
        */

    display: flex;
    flex-wrap: wrap;
  }
}

/*
.btn:not(.input-group-button), 
.btn:not(.input-group-button):hover, .btn:not(.input-group-button):focus, .btn:not(.disabled):hover {
	border-width:1.1111px;
	margin-top:0rem !important
}
.btn.input-group-button {
	color:red
} */

.home .entry-content {
  margin-top: 0 !important;
}
.home #content.site-content {
  padding-bottom: 3.75rem;
  padding-top: 0rem;
}

/* TABS */
.nav-tabs .nav-link {
  padding: 0.5rem 1rem !important;
  margin-top: 0 !important;
  border-radius: 0 !important;
  border: 1px solid transparent !important;
  border-bottom-width: 3px !important;

  font-weight: bold;
  text-transform: uppercase;
  font-size: 90%;
  /* border-bottom: 1px solid var(--liftket-light-grey) !important; */
}

.nav-tabs .nav-link:not(.disabled):hover,
.nav-tabs .nav-link:not(.disabled):focus {
  border-bottom-color: var(--liftket-dark-grey) !important;
}

.nav-tabs .nav-link.active {
  border-color: var(--liftket-light-grey);
  background-color: var(--liftket-dark-grey) !important;
  color: #fff !important;
}

.nav-tabs {
  border-bottom-color: var(--liftket-dark-grey) !important;
}

.nav-link.branch-selector {
  padding: 0.5rem 2.5rem !important;
  color: black !important;
}

.nav-link#industry-branch-selector {
  background-color: var(--liftket-yellow);
}
.nav-link#stage-branch-selector {
  background-color: var(--liftket-light-grey);
}

#product-line-menu ul.dropdown-menu {
  padding-top: 0 !important;
  padding-bottom: 0 !important;
}

.navbar-brand img {
  max-width:200px
}

/* BUTTONS */
.btn {
  border-style: solid;
  border-width: 1px;
  font-size: 12px;
  font-weight: bold;
  text-transform: uppercase;
}

.btn:not(.disabled):hover {
  margin-top: 0px !important;
  border-bottom-width: 1px !important;
}

.btn-lg {
font-size:1rem !important
}

.btn-cart-edit-item-quantity {
  margin-top: 0 !important; 
}



.site-info {
  text-align: center;
}

.entry-header {
  display: none;
}

#btn-back-to-top {
  position: fixed;
  bottom: 20px;
  right: 20px;
  display: none;
}

@media screen and (min-width: 376px) {
  .user-account-menu-item a:not(.dropdown-item):before {
    content: "";
    display: block;
    background: url("/wp-content/themes/LiftketKettenzugkonfigurator/assets/img/user.png")
      no-repeat;
    background-size: contain;
    width: 25px;
    height: 25px;
    margin: 0px auto;
  }

  .btn-cart.liftket-shopping-cart a:before {
    content: attr(data-item-qty);
    text-align: center;
    line-height: 1.1;
    display: block;
    background: url("/wp-content/themes/LiftketKettenzugkonfigurator/assets/img/cart.png")
      no-repeat;
    background-size: contain;
    width: 25px;
    height: 25px;
    margin: 0px auto;
  }

  .spare-parts-menu-item a:before {
    content: "";
    text-align: center;
    line-height: 1.1;
    display: block;
    background: url("/wp-content/themes/LiftketKettenzugkonfigurator/assets/img/hook.png")
      no-repeat;
    background-size: contain;
    width: 25px;
    height: 25px;
    margin: 0px auto;
  }

  .doku-download-menu-item a:before {
    content: "";
    text-align: center;
    line-height: 1.1;
    display: block;
    background: url("/wp-content/themes/LiftketKettenzugkonfigurator/assets/img/folder-download-48.png")
      no-repeat;
    background-size: contain;
    width: 25px;
    height: 25px;
    margin: 0px auto;
  }
	
  .configurator-menu-item a:before {
    content: "";
    text-align: center;
    line-height: 1.1;
    display: block;
    background: url("/wp-content/themes/LiftketKettenzugkonfigurator/assets/img/panel.png")
      no-repeat;
    background-size: contain;
    width: 25px;
    height: 25px;
    margin: 0px auto;
  }

  .btn-switch-locale a:not(.dropdown-item) {
    text-align: center;
  }
  .btn-switch-locale a:not(.dropdown-item):before {
    content: "";
    text-align: center;
    line-height: 1.8;
    display: block;
    background: url("/wp-content/themes/LiftketKettenzugkonfigurator/assets/img/globe.png")
      no-repeat;
    background-size: contain;
    width: 25px;
    height: 25px;
    margin: 0px auto;
    font-size: 1.1em;
  }
  .btn-switch-locale a.dropdown-item.selected {
    font-weight: bold;
    pointer-events: none;
  }
}

/* Slider statt Checkbox */

/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

input:checked + .slider {
  background-color: #2196f3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196f3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

/* discount sidebar */

#discounts-sidebar {
  min-width: 320px;
  max-width: 320px;
  height: 100vh;
  position: fixed;
  top: 0;
  left: -320px;
  z-index: 9999;
  transition: all 0.3s;
  background: white;
  padding-top: 50px;
}

#discounts-sidebar.active {
  left: 0;
  box-shadow: 0.5rem 0 1rem rgb(0 0 0 / 25%), inset 0 -1px 0 rgb(0 0 0 / 10%);
}
.sidebar-overlay {
  display: none;
  position: fixed;
  width: 100vw;
  height: 100vh;
  background: rgba(255, 255, 255, 0.3);
  z-index: 998;
  opacity: 0;
  transition: all 0.5s ease-in-out;
}

.rotate-cc-90 {
  transform: rotate(-90deg);
}
.sidebar-body {
  overflow-y: auto;
  height: 90%;
  padding: 20px;
}

.sidebar-overlay.active {
  display: block;
  opacity: 1;
}

.sidebar-dismiss {
  width: 35px;
  height: 35px;
  position: absolute;
  top: 10px;
  right: 10px;
}

.btn-info-sidebar-wrapper {
  position: fixed;
  top: calc(50% - 150px);
  height: 300px;
  display: flex;
  left: -10px;
  z-index:999;
}



@media screen and (max-width:560px) {
  .btn-info-sidebar-wrapper {
    height:140px;
    top: calc(50% - 70px);
    width:50px;
  }
  #btn-sidebar-collapse {
    padding: 0 !important;
    padding-left: 2px !important;
  }
}

.btn-info-sidebar-wrapper.hide {
  display: none;
}

/* Buttons */

.btn-block + .btn-block {
  margin-top: 0rem;
}

.btn-primary {
  color: #fff;
  background-color: var(--liftket-yellow);
  border-color: var(--liftket-yellow);
}

.btn-primary:hover {
  color: #fff;
  background-color: var(--liftket-yellow-lighter);
  border-color: var(--liftket-yellow-lighter);
}

.btn-primary:focus,
.btn-primary.focus {
  color: #fff;
  background-color: var(--liftket-yellow);
  border-color: var(--liftket-yellow);
  -webkit-box-shadow: 0 0 0 0.2rem var(--liftket-yellow);
  box-shadow: 0 0 0 0.2rem var(--liftket-yellow);
}

.btn-primary.disabled,
.btn-primary:disabled {
  color: #fff;
  background-color: var(--liftket-yellow);
  border-color: var(--liftket-yellow);
}

.btn-primary:not(:disabled):not(.disabled):active,
.btn-primary:not(:disabled):not(.disabled).active,
.show > .btn-primary.dropdown-toggle {
  color: #fff;
  background-color: var(--liftket-yellow);
  border-color: var(--liftket-yellow);
}

.btn-primary:not(:disabled):not(.disabled):active:focus,
.btn-primary:not(:disabled):not(.disabled).active:focus,
.show > .btn-primary.dropdown-toggle:focus {
  -webkit-box-shadow: 0 0 0 0.2rem var(--liftket-yellow-lighter);
  box-shadow: 0 0 0 0.2rem var(--liftket-yellow-lighter);
}

/* btn-outline-yellow */
.btn-outline-yellow {
  color: #222;
  background-color: transparent;
  background-image: none;
  border: 1px solid var(--liftket-yellow) !important;
}

.btn-outline-yellow:hover {
  color: #fff !important;
  background-color: var(--liftket-yellow);
  border-color: var(--liftket-yellow);
}

.btn-outline-yellow:focus,
.btn-outline-yellow.focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(34, 34, 34, 0.5);
  box-shadow: 0 0 0 0.2rem rgba(34, 34, 34, 0.5);
}

.btn-outline-yellow.disabled,
.btn-outline-yellow:disabled {
  color: #222;
  background-color: transparent;
}

.btn-outline-yellow:not(:disabled):not(.disabled):active,
.btn-outline-yellow:not(:disabled):not(.disabled).active,
.show > .btn-outline-yellow.dropdown-toggle {
  color: #fff;
  background-color: var(--liftket-yellow);
  border-color: var(--liftket-yellow);
}

.btn-outline-yellow:not(:disabled):not(.disabled):active:focus,
.btn-outline-yellow:not(:disabled):not(.disabled).active:focus,
.show > .btn-outline-yellow.dropdown-toggle:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(34, 34, 34, 0.5);
  box-shadow: 0 0 0 0.2rem rgba(34, 34, 34, 0.5);
}


@media screen and (max-width:500px) {
  .navbar-brand img {
    max-width:110px !important
  }
}